Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class VariablePropertiesFilter

    java.lang.Object
      com.vordel.circuit.Filter
          com.vordel.circuit.VariablePropertiesFilter

Direct Known Subclasses:
  CircuitChainFilter, CircuitDelegateFilter, DefaultFilter, HTTPBodyParserFilter

    public abstract class VariablePropertiesFilter

extends Filter

A VariablePropertiesFilter has variable sets of properties which it requires, generates and consumes. Each respective set is created lazily on request. A hook to initialize the sets is provided and called from the constructor.

Field Summary
`protected static java.lang.String` | `USER_ATTRIBUTE_FORMAT_REGEX`
`static java.util.regex.Pattern` | `userAttributePattern`

Fields inherited from class com.vordel.circuit.Filter
`CAN_FAIL, CAN_SUCCEED, circuit, consumedProperties, contextLoader, EMPTY_SET, generatedProperties, name, requiredProperties`

Constructor Summary
`VariablePropertiesFilter()`

Method Summary
`void` | `configure(FilterConfigureContext context, Entity entity)` Called to initially configure a filter from the entity store.
`static java.util.HashSet<java.lang.String>` | `createHashSet(java.lang.String[] props)`
`java.util.Collection<java.lang.String>` | `getLoggingWildcards(Entity entity, java.util.Set<java.lang.String> props)`
`java.util.Collection<java.lang.String>` | `getRequiredPropertiesFromEntity(EntityStore es, Entity entity, com.vordel.common.crypto.PasswordCipher passwordCipher)`
`java.util.Collection<java.lang.String>` | `getRequiredPropertiesFromReferences(EntityStore es, Entity entity, com.vordel.common.crypto.PasswordCipher passwordCipher)`
`java.util.Collection<java.lang.String>` | `getWildcardAttributes(Entity entity, java.lang.String name)`
`boolean` | `ignoreField(java.lang.String name)`
`boolean` | `ignoreType(java.lang.String name)`
`protected void` | `syncProps(java.util.Set<java.lang.String> r, java.util.Set<java.lang.String> g, java.util.Set<java.lang.String> c)` Convenience method to synchronize properties in a filter when it is a multiple delegator

Methods inherited from class com.vordel.circuit.Filter
`getCircuitPK, getConfigPanelClass, getConsumedProperties, getEntity, getFailureNode, getFailureNodePK, getGeneratedProperties, getMessageProcessorClass, getName, getPossibleOutcomes, getRequiredProperties, getSuccessNode, getSuccessNodePK, reconfigure, setCircuitPK, setDefaultProperties, setEntity, setFailureNode, setName, setShouldAbortProcessingOnLogError, setSuccessNode, shouldAbortProcessingOnLogError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_ATTRIBUTE_FORMAT_REGEX

    protected static java.lang.String USER_ATTRIBUTE_FORMAT_REGEX

### userAttributePattern

    public static java.util.regex.Pattern userAttributePattern

Constructor Detail

### VariablePropertiesFilter

    public VariablePropertiesFilter()

Method Detail

### configure

    public void configure(FilterConfigureContext context,
                          Entity entity)
                   throws EntityStoreException

  Description copied from class: `Filter`
  Called to initially configure a filter from the entity store. Subclasses should override, and invoke super.configure() before returning.

  Overrides:
    `configure` in class `Filter`
  Throws:
    `EntityStoreException`

### getRequiredPropertiesFromEntity

    public java.util.Collection<java.lang.String> getRequiredPropertiesFromEntity(EntityStore es,
                                                                                  Entity entity,
                                                                                  com.vordel.common.crypto.PasswordCipher passwordCipher)

### getRequiredPropertiesFromReferences

    public java.util.Collection<java.lang.String> getRequiredPropertiesFromReferences(EntityStore es,
                                                                                      Entity entity,
                                                                                      com.vordel.common.crypto.PasswordCipher passwordCipher)

### createHashSet

    public static java.util.HashSet<java.lang.String> createHashSet(java.lang.String[] props)

### getLoggingWildcards

    public java.util.Collection<java.lang.String> getLoggingWildcards(Entity entity,
                                                                      java.util.Set<java.lang.String> props)

### getWildcardAttributes

    public java.util.Collection<java.lang.String> getWildcardAttributes(Entity entity,
                                                                        java.lang.String name)

### ignoreField

    public boolean ignoreField(java.lang.String name)

### ignoreType

    public boolean ignoreType(java.lang.String name)

### syncProps

    protected void syncProps(java.util.Set<java.lang.String> r,
                             java.util.Set<java.lang.String> g,
                             java.util.Set<java.lang.String> c)

  Convenience method to synchronize properties in a filter when it is a multiple delegator

  Parameters:
    `r` -
    `g` -
    `c` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel